POST
/service-accounts/{saId}/apikeyGenerate a new service account's api key
This renews an api key of a given service account. Useful especially to change the API key when it has been leaked.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
saIdintegeroptional
A service account id
200The service account with the new API key
descriptionstringrequired
expiresAtdaterequired
hasValidKeybooleanrequired
idnumberrequired
labelstringrequired
loginstringrequired
keystringoptional
403The caller is not allowed to regenerate this api key
404Service account not found
Error handling
A 403 is returned: The caller is not allowed to regenerate this api key. A 404 is returned: Service account not found.
